Bug 165056 - AssertionError: Accessing remote host. Do not call in awt
AssertionError: Accessing remote host. Do not call in awt
Status: VERIFIED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Jira
6.x
All All
: P1 (vote)
: TBD
Assigned To: Tomas Stupka
issues@connecteddeveloper
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-13 12:46 UTC by Jaromir Uhrik
Modified: 2009-07-27 09:20 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (5.96 KB, text/plain)
2009-05-13 12:46 UTC, Jaromir Uhrik
Details
Attaching messages.log (683.58 KB, text/plain)
2009-05-13 12:52 UTC, Jaromir Uhrik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jaromir Uhrik 2009-05-13 12:46:34 UTC
Build: NetBeans IDE Dev (Build 090513)
VM: Java HotSpot(TM) Client VM, 1.5.0_16-133, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_16-b06-284
OS: Mac OS X, 10.5.6, i386

User Comments:
juhrik: Opened javaapplication13 from testkenai. Then clicked on "all issues" link of this project in Kenai dashboard and the exception appeared.



Stacktrace: 
java.lang.AssertionError: Accessing remote host. Do not call in awt
        at org.netbeans.modules.jira.repository.JiraRepository.getConfigurationIntern(JiraRepository.java:381)
        at org.netbeans.modules.jira.repository.JiraRepository.getConfiguration(JiraRepository.java:371)
        at org.netbeans.modules.jira.issue.NbJiraIssue.getType(NbJiraIssue.java:239)
        at org.netbeans.modules.jira.issue.JiraIssueNode$TypeProperty.getValue(JiraIssueNode.java:123)
        at org.netbeans.modules.jira.issue.JiraIssueNode$TypeProperty.getValue(JiraIssueNode.java:115)
        at org.netbeans.modules.bugtracking.ui.issuetable.IssueTable$CellRenderer.getTableCellRendererComponent(IssueTable.java:388)
Comment 1 Jaromir Uhrik 2009-05-13 12:46:40 UTC
Created attachment 82043 [details]
stacktrace
Comment 2 Jaromir Uhrik 2009-05-13 12:51:03 UTC
I was not able to get rid of exception dialog - it appeared again and again so that I needed to kill NetBeans.
Increasing the priority to P1.
Comment 3 Jaromir Uhrik 2009-05-13 12:52:38 UTC
Created attachment 82045 [details]
Attaching messages.log
Comment 4 Ondrej Vrabec 2009-05-21 09:04:59 UTC
cdev #a1cb23ee7d08

I am not sure if this is the final fix but it certainly solves some scenarios:
The assert prevented a repository configuration to be loaded from the server but also prevented loading from the CACHE.
I moved the assert to the point when the configuration is really being loaded from a remote host.

One of reproduced scenarios:
1) Login to Kenai
2) Open Team->Find issues
3) Search for issues under a kenai project and wait for the search to finish
4) Logout from kenai

4 - this will set the configuration field in the repository to null and the AWT will force the configuration command
Comment 5 Tomas Stupka 2009-06-17 16:23:18 UTC
haven't seen this for some time - fixed
Comment 6 Jaromir Uhrik 2009-07-02 14:38:26 UTC
Verified. I have the same experience - last time it didn't appear.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo